[mythtv-users] Guidance on burning recordings to CD/DVD

Stuart Auchterlonie stuarta at squashedfrog.net
Tue Nov 15 07:38:42 EST 2005


On Tue, Nov 15, 2005 at 08:06:15PM +1000, David Whyte wrote:
> On 11/15/05, Jesse Guardiani <jesse at wingnet.net> wrote:
> >
> > Wow, that sounds like a lot of work. I record from my PVR 350 in mpeg2,
> > edit the cutpoints,
> > and tell mythburn to do it's thing via the web interface. 45 minutes
> > later I've got a nice DVD.
> >
> 
> Well, I like beng punished, so maybe I will look at MythBurn.  I
> wonder if it is easy to get going on my FC2 machine???
> 

Relatively. I have a series of three patches that I needed to apply
to get it running with myth svn, projectx 0.91 & mythburn cvs.
Most of it was done previously by Robin. I'll attach it here as a
single patch.

Stuart

-------------- next part --------------
Index: install.sh
===================================================================
RCS file: /cvsroot/mythburn/mythburn/install.sh,v
retrieving revision 1.13
diff -u -r1.13 install.sh
--- install.sh	7 Nov 2005 18:21:27 -0000	1.13
+++ install.sh	15 Nov 2005 12:35:51 -0000
@@ -51,13 +51,13 @@
 	echo -n "[$tempdir]: "
 	read tmp; [ -n "${tmp}" ] && tempdir=$tmp
 
-#	echo ""
-#	echo "Directory for DVD Filesystem (VIDEO_TS) "
-#	echo "Warning: lots of space needed here 4.7GB max."
-#	echo "         CONTENTS OF THIS DIRECTORY WILL BE DELETED "
-#	echo -n "[$dvddir]: "
-#	read tmp; [ -n "${tmp}" ] && dvddir=$tmp
-#	[ "$tempdir" == "$dvddir" ] && { echo "Error: Temp and DVD directory must be seperate"; err="X"; }
+	echo ""
+	echo "Directory for DVD Filesystem (VIDEO_TS) "
+	echo "Warning: lots of space needed here 4.7GB max."
+	echo "         CONTENTS OF THIS DIRECTORY WILL BE DELETED "
+	echo -n "[$dvddir]: "
+	read tmp; [ -n "${tmp}" ] && dvddir=$tmp
+	[ "$tempdir" == "$dvddir" ] && { echo "Error: Temp and DVD directory must be seperate"; err="X"; }
 
 	echo ""
 	echo "What user is the webserver running as?"
Index: scripts/getmyth.sh
===================================================================
RCS file: /cvsroot/mythburn/mythburn/scripts/getmyth.sh,v
retrieving revision 1.7
diff -u -r1.7 getmyth.sh
--- scripts/getmyth.sh	17 Oct 2005 19:09:35 -0000	1.7
+++ scripts/getmyth.sh	15 Nov 2005 12:35:52 -0000
@@ -44,8 +44,7 @@
 # Thanks to "ille" from http://mysettopbox.tv/phpBB2/viewtopic.php?t=2132&postdays=0&postorder=asc&start=345
 # for this fix.
 mchannel=$( echo $file | cut --delimiter="_" -f 1 )
-mstarttime=$( echo $file | cut --delimiter="_" -f 2 )
-mendtime=$( echo $file | cut --delimiter="_" -f 3 | cut --delimiter="." -f 1 )
+mstarttime=$( echo $file | cut --delimiter="_" -f 2 | cut --delimiter="." -f 1 )
 mnicemonth=$(echo $mstarttime | cut --delimiter="_" -f 2 | cut -c5-6 ) 
 
 
@@ -68,7 +67,7 @@
 
 # extract the details from MYSQL database for this NUV title
 #old statement sqlstatement=" from recorded left join program on program.chanid=recorded.chanid and program.starttime=recorded.starttime and program.endtime=recorded.endtime where recorded.chanid=$mchannel and recorded.starttime=$mstarttime and recorded.endtime=$mendtime;"
-sqlstatement=" from recorded where recorded.chanid=$mchannel and recorded.starttime=$mstarttime and recorded.endtime=$mendtime;"
+sqlstatement=" from recorded where recorded.chanid=$mchannel and recorded.starttime=$mstarttime;"
 
 echo $mnicestarttime >  ${tempdir}/date.txt
 
Index: scripts/mpeg2cut-mod
===================================================================
RCS file: /cvsroot/mythburn/mythburn/scripts/mpeg2cut-mod,v
retrieving revision 1.1
diff -u -r1.1 mpeg2cut-mod
--- scripts/mpeg2cut-mod	3 Mar 2005 18:04:25 -0000	1.1
+++ scripts/mpeg2cut-mod	15 Nov 2005 12:35:52 -0000
@@ -64,7 +64,7 @@
 fi
 
 FILENAME=$1
-BASENAME=`basename ${FILENAME} .nuv`
+BASENAME=`basename ${FILENAME} .mpg`
 OUTFILE=$2
 LASTGOP=$3
 VERSION=`echo '$Revision: 1.1 $' | sed -e 's/\$Revision\(\: \)*\([^ $]*\).*\$/\2/'`
Index: scripts/mpeg2cut-px.sh
===================================================================
RCS file: /cvsroot/mythburn/mythburn/scripts/mpeg2cut-px.sh,v
retrieving revision 1.2
diff -u -r1.2 mpeg2cut-px.sh
--- scripts/mpeg2cut-px.sh	6 Nov 2005 10:34:19 -0000	1.2
+++ scripts/mpeg2cut-px.sh	15 Nov 2005 12:35:52 -0000
@@ -18,16 +18,16 @@
 	#cutlist is just a sequence of cutpoints
 	#first entry is cut-in, i.e start recording
         line=0
-        rm ${tempdir}/cutlist_x.txt 2>/dev/null
+        rm ${tempdir}/cutlist_x.Xcl 2>/dev/null
         cat ${tempdir}/cutlist.txt | while read
         do
                 first=$(echo $REPLY|cut -f1 -d-)
                 second=$(echo $REPLY|cut -f2 -d-)
 
                 if [ "$line" -eq "0" ]; then
-                        echo "(2) use Frame number for cuts" > ${tempdir}/cutlist_x.txt
+                        echo "(2) use Frame number for cuts" > ${tempdir}/cutlist_x.Xcl
                         if [ "$first" -ne "0" -a "$first" != "" ]; then
-                                echo "0" >> ${tempdir}/cutlist_x.txt
+                                echo "0" >> ${tempdir}/cutlist_x.Xcl
                         fi
                 fi
                 line=$((line+1))
@@ -35,7 +35,7 @@
                         echo $first >> ${tempdir}/cutlist_x.txt
                 fi
                 if [ "$second" != "" ]; then
-                        echo $second >> ${tempdir}/cutlist_x.txt
+                        echo $second >> ${tempdir}/cutlist_x.Xcl
                 fi
         done
 }
@@ -69,7 +69,7 @@
 factor=$1
 shift
 
-base=`basename ${file} .nuv`
+base=`basename ${file} .mpg`
 
 # read config file
 cfg=${myfolder}/mythburn.conf
@@ -92,9 +92,9 @@
 
 echo Cutting out commercials + demultiplexing with projectx
 cutlist_x
-nice -n 19 ${projectx} -o . -p cutlist_x.txt $file
+nice -n 19 ${projectx} -out . -cut cutlist_x $file
 
-if ! [ -f "${base}_X.log" ]; then
+if ! [ -f "${base}_log.txt" ]; then
 	echo "Error running projectx, no log file created. giving up"
 	exit 1
 fi
@@ -110,14 +110,14 @@
 fi
 
 # sort audiofiles, optionaly reencode first track to ac3 for NTSC
-audio=`${myfolder}/scripts/prepare_audio.sh ${myfolder} ${base}_X.log ${videoformat} ${recode_ntsc}`
+audio=`${myfolder}/scripts/prepare_audio.sh ${myfolder} ${base}_log.txt ${videoformat} ${recode_ntsc}`
 
 echo Remultiplexing video
 echo mplex -o ${outfile} -f 8 ${base}.m2v ${audio}
 nice -n 19 mplex -o ${outfile} -f 8 ${base}.m2v ${audio} > /dev/null
 
 echo Cleaning up
-rm ${base}.m2v ${audio} cutlist_x.txt
+rm ${base}.m2v ${audio} cutlist_x.Xcl
 if [ "$mode" == "XVFB" ]; then
 	# Shut down Xvfb if we used it
 	kill ${XVFB_PID} 2>/dev/null
Index: scripts/prepare_audio.sh
===================================================================
RCS file: /cvsroot/mythburn/mythburn/scripts/prepare_audio.sh,v
retrieving revision 1.2
diff -u -r1.2 prepare_audio.sh
--- scripts/prepare_audio.sh	30 Oct 2005 18:56:19 -0000	1.2
+++ scripts/prepare_audio.sh	15 Nov 2005 12:35:52 -0000
@@ -40,7 +40,7 @@
 done
 
 # get list of PIDS (for TS) or PES-IDs (for PS) for order of audio streams
-pidlist=`grep "Audio .*on PID" ${logfile} | tr "\r" " " | perl -pi -e 's/^.*PID //;chomp'`
+pidlist=`grep "Audio .*on PID" ${logfile} | tr "\r" " " | perl -pi -e 's/^.*PID//;chomp'`
 if [ -z "$pidlist" ]; then
 	pidlist=`grep "PES-ID .* Audio)" ${logfile} | tr "\r" " " | perl -pi -e 's/^.*0x//;s/\(.*$//;chomp'`
 fi
Index: scripts/remplex.sh
===================================================================
RCS file: /cvsroot/mythburn/mythburn/scripts/remplex.sh,v
retrieving revision 1.8
diff -u -r1.8 remplex.sh
--- scripts/remplex.sh	6 Nov 2005 10:34:19 -0000	1.8
+++ scripts/remplex.sh	15 Nov 2005 12:35:52 -0000
@@ -65,7 +65,7 @@
 
 function remux_projectx() {
   local src=$1 dst=$2
-	base=`basename $src .nuv`
+	base=`basename $src .mpg`
 	if [ -z "$projectx" ]; then
 		echo "projectx not defined, can't use remux_projectx remux method"
 		exit 1
@@ -86,16 +86,16 @@
 	fi
 	pushd . > /dev/null
 	cd ${tempdir}
-	${projectx} -o . ${src}
+	${projectx} -out . ${src}
 	checkreturnvalue
 
-	if ! [ -f "${base}_X.log" ]; then
+	if ! [ -f "${base}_log.txt" ]; then
 		echo "Error Running project X, no log file created. giving up."
 		exit 1
 	fi
 	
   	# sort audiofiles, optionaly reencode first track to ac3 for NTSC
-  	audio=`${myfolder}/scripts/prepare_audio.sh ${myfolder} ${base}_X.log ${videoformat} ${recode_ntsc}`
+  	audio=`${myfolder}/scripts/prepare_audio.sh ${myfolder} ${base}_log.txt ${videoformat} ${recode_ntsc}`
 
 	#As suggested by Les Gondor
 	if [ "$factor" != "0" ]
@@ -114,7 +114,7 @@
 		kill ${XVFB_PID} 2>/dev/null 
 	fi
 
-	rm ${base}_X.log
+	rm ${base}_log.X
 	rm ${audio}
 	rm ${base}.m2v
 	popd > /dev/null


More information about the mythtv-users mailing list